# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

#TODO: BR: perl(Test::CheckManifest) ≥ 1.24 when available

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

# We need to tweak the test suite if we don't have Test::More ≥ 0.96
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.96) ? 1 : 0);' 2>/dev/null || echo 0)
%global older_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Software-License-CCpack
Version:	1.11
Release:	6.%{__distinit}%{__distvers}
Summary:	Software::License pack for Creative Commons' licenses
License:	LGPLv3
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Software-License-CCpack/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BB/BBYRD/Software-License-CCpack-%{version}.tar.gz
Patch0:		Software-License-CCpack-1.11-tm088.patch
Patch2:		Software-License-CCpack-1.11-tm082.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Software::License)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Test::CheckDeps) >= 0.010
BuildRequires:	perl(Test::More) >= 0.82
# Extra Tests
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::DistManifest)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::MinimumVersion)
BuildRequires:	perl(Test::Mojibake)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Portability::Files)
BuildRequires:	perl(Test::Synopsis)
BuildRequires:	perl(Test::Vars)
%endif
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This "license pack" contains all of the licenses from Creative Commons, except
for CC0, which is already included in Software::License.

Note that I don't recommend using these licenses for your own CPAN modules
(most of the licenses aren't even compatible with CPAN). However, S:L modules
are useful for more than mere CPAN::Meta::license declaration, so these modules
exist for those other purposes.

%prep
%setup -q -n Software-License-CCpack-%{version}

# We need to tweak the test suite if we don't have Test::More ≥ 0.96
%if %{old_test_more}
%patch0
%endif

# We need to tweak the test suite again if we don't have Test::More ≥ 0.88
%if %{older_test_more}
%patch2
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test
%if 0%{!?perl_bootstrap:1}
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))" RELEASE_TESTING=1
%endif

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc README
%{perl_vendorlib}/Software/
%{_mandir}/man3/Software::License::CCpack.3*
%{_mandir}/man3/Software::License::CC_BY_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_ND_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_ND_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_ND_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_SA_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_SA_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_SA_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_SA_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_NC_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_SA_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_SA_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_SA_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_SA_4_0.3*
%{_mandir}/man3/Software::License::CC_PDM_1_0.3*

%changelog
* Mon Sep 26 2016 Paul Howarth <paul@city-fan.org> - 1.11-6
- BR: perl-generators where available
- Re-enable use of Test::Vars universally
- Simplify find command using -delete

* Fri Jun 26 2015 Paul Howarth <paul@city-fan.org> - 1.11-4
- Disable use of Test::Vars with Perl 5.22
  (https://github.com/gfx/p5-Test-Vars/issues/11)

* Tue Mar 17 2015 Paul Howarth <paul@city-fan.org> - 1.11-2
- Don't run the extra tests when bootstrapping

* Mon Oct 20 2014 Paul Howarth <paul@city-fan.org> - 1.11-1
- Update to 1.11
  - Include all versions of licenses, including the new 4.0 ones
  - Downgrade the Perl version to 5.6
  - Fix links in POD
  - Minor clean-up of license files
- Update patches as needed

* Tue Oct  7 2014 Paul Howarth <paul@city-fan.org> - 1.01-3
- Skip the CHANGES file until such time as it has some content (#1148040)

* Mon Sep 29 2014 Paul Howarth <paul@city-fan.org> - 1.01-1
- Initial RPM version
